Update Redmine 2.6*

Redmine_2_6Как-то совсем упустил момент, когда вышли 2 новых версии редмайна с кучей исправлений и вот обновляху сделал.
Кое-какие моменты могут обмать процесс, но общий порядок действий прежний, как описан здесь: http://www.trianglesis.org.ua/update-redmine-2-5-2

Возможные проблемы, некоторые исходят из прошлого гайда, чтобы не ругали меня, что я сломал вам редмайн. Смотрим:

 

root@tet-redmine www/redmine# bundle install --without development test
You cannot specify the same gem twice with different version requirements.
You specified: shoulda-matchers (= 1.4.1) and shoulda-matchers (>= 0)

Решается просто закомментированием этих строк.

Следующий конфликт начнется от того, что в прошлый раз я во время инсталляции просто руками указал версии, и сейчас файл жестко их использует. Нужно также изменить руками версии в файле gemfile.lock все версии на требуемые ниже:

root@tet-redmine www/redmine# bundle install --without development test
Fetching gem metadata from https://rubygems.org/..........
Fetching additional metadata from https://rubygems.org/..
Resolving dependencies...
You have requested:
  rails = 3.2.21
The bundle currently has rails locked at 3.2.19.
Try running `bundle update rails`

root@tet-redmine www/redmine# bundle update rails
Fetching gem metadata from https://rubygems.org/..........
Fetching additional metadata from https://rubygems.org/..
Resolving dependencies...
You have requested:
  jquery-rails ~> 3.1.1

The bundle currently has jquery-rails locked at 2.0.3.
Try running `bundle update jquery-rails`

Далее просто обновление джемов:

root@tet-redmine www/redmine# bundle update rails
Fetching gem metadata from https://rubygems.org/..........
Fetching additional metadata from https://rubygems.org/..
Resolving dependencies...
Installing rake 10.4.2 (was 10.3.2)
Installing activesupport 3.2.21 (was 3.2.19)
Installing builder 3.0.4 (was 3.0.0)
Installing activemodel 3.2.21 (was 3.2.19)
Installing rack-test 0.6.3 (was 0.6.2)
Installing sprockets 2.2.3 (was 2.2.2)
Installing actionpack 3.2.21 (was 3.2.19)
Installing actionmailer 3.2.21 (was 3.2.19)
Installing tzinfo 0.3.42 (was 0.3.41)
Installing activerecord 3.2.21 (was 3.2.19)
Installing activeresource 3.2.21 (was 3.2.19)
Installing json 1.8.2 (was 1.8.1)
Installing railties 3.2.21 (was 3.2.19)
Installing jquery-rails 3.1.1
Installing rails 3.2.21
Installing rbpdf 1.18.5
Installing request_store 1.0.5
Your bundle is updated!
Gems in the groups development and test were not installed.

Все обновилось! Далее все делается по обычному мануалу, который я указал вверху.
Непременно все пункты прочитать, потому как настройки могут слететь, но это легко фиксится.

 

About trianglesis

Александр Брюндтзвельт - гений, филантроп, 100 гривен в кармане. Этот блог - "сток" моих мыслей и заметок. Достаточно одного взгляда на него, чтобы понять, что такой же бардак творится у меня в голове. Если вам этот бардак интересен - милости прошу.
Bookmark the permalink.